list code versions
curl --request GET \
--url https://api.example.com/graph/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/graph/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/graph/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"more": true,
"total_observations": 123,
"total_pages": 123,
"results": [
{
"id": "<string>",
"version_method": "tag",
"version_fingerprint": "<string>",
"status": "waiting",
"created_at": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"project_slug": "<string>",
"user": {
"id": "<string>",
"is_self": true,
"created_at": "2023-11-07T05:31:56Z",
"username": "<string>"
},
"network": "eth",
"name": "<string>",
"branch": "<string>",
"commit": {
"sha": "<string>",
"author": "<string>",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"repository": {
"id": 123,
"name": "<string>",
"is_private": true,
"account": {
"id": 123,
"login": "<string>",
"type": "<string>",
"avatar_url": "<string>"
}
}
}
]
}{
"code": "auth.session_expired",
"message": "<string>"
}code
list code versions
list code versions using search parameters. Returns a paginated response.
GET
/
graph
/
versions
list code versions
Authorizations
API key in Bearer token format
Query Parameters
Available options:
created_at, updated_at Available options:
desc, asc Available options:
eth, bsc, polygon, base, avax, mode, arb, eth_sepolia, bsc_test, polygon_amoy, base_sepolia, avax_fuji, mode_testnet, arb_sepolia Available options:
waiting, processing, failed, success ⌘I
